# vadeinterlace

vadeinterlace deinterlaces interlaced video frames to progressive video frames. This element and its deinterlacing methods depend on the installed and chosen VA-API driver, but it's usually avaialble with bob (linear) method.

This element doesn't change the caps features, it only negotiates the same dowstream and upstream.

## Example launch line

    gst-launch-1.0 filesrc location=interlaced_video.mp4 ! parsebin ! vah264dec ! vadeinterlace ! vapostproc ! autovideosink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVaBaseTransform
                            ╰──vadeinterlace

## Factory details

Authors: – Víctor Jáquez

Classification: – `Filter/Effect/Video/Deinterlace`

Rank – none

Plugin – va

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw(memory:VAMemory):
             format: { NV12, I420, YV12, YUY2, RGBA, BGRA, P010_10LE, ARGB, ABGR }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
    video/x-raw:
             format: { VUYA, GRAY8, NV12, NV21, YUY2, UYVY, YV12, I420, P010_10LE, RGBA, BGRA, ARGB, ABGR }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw(memory:VAMemory):
             format: { NV12, I420, YV12, YUY2, RGBA, BGRA, P010_10LE, ARGB, ABGR }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
    video/x-raw:
             format: { VUYA, GRAY8, NV12, NV21, YUY2, UYVY, YV12, I420, P010_10LE, RGBA, BGRA, ARGB, ABGR }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### method

    “method” Va-deinterlace-methods *

Selects the different deinterlacing algorithms that can be used.

It depends on the driver the number of available algorithms, and they provide different quality and different processing consumption.

Flags : Read / Write

Default value : bob (1)

Since : 1.20

## Named constants

### Va-deinterlace-methods

#### Members

`bob` (1) – Bob: Interpolating missing lines by using the adjacent lines.
`weave` (2) – Weave: Show both fields per frame. (don't use)
`adaptive` (3) – Adaptive: Interpolating missing lines by using spatial/temporal references.

Since : 1.20

The results of the search are